Skip to Content
Retrieve storyboard metadata in JSON format
get

Fetch metadata for the storyboard image in JSON format, detailing the coordinates and time ranges of each thumbnail.

Request path & query params
PLAYBACK_ID
string

The asset or live stream's playback ID.

token
string

Signed token (JWT) for secure video playback.

program_start_time
integer

Set the start time of the asset created from a live stream when using the instant clipping feature. The timestamp should be provided as an epoch integer, and is compared to the program date time (PDT) generated by a live stream.

program_end_time
integer

Set the end time of the asset created from a live stream when using the instant clipping feature. The timestamp should be provided as an epoch integer, and is compared to the program date time (PDT) generated by a live stream.

asset_start_time
number

Set the relative start time of the asset (in seconds) when using the instant clipping feature.

asset_end_time
number

Set the relative end time of the asset (in seconds) when using the instant clipping feature.

format
string
Possible values: "jpg""png""webp"

The format of the storyboard image URL in the response. Can be either 'jpg', 'png', or 'webp'. Defaults to 'jpg'.

get
200
https://image.mux.com/{PLAYBACK_ID}/storyboard.json
Response
(application/json)
{
  "url": "https://image.mux.com/RZG9sX4oLPxLHbdbx01Qwv00SVsiXB3Ku7/storyboard.jpg",
  "tile_width": 284,
  "tile_height": 160,
  "duration": 93.794,
  "tiles": [
    {
      "start": 0,
      "x": 0,
      "y": 0
    },
    {
      "start": 1.874,
      "x": 284,
      "y": 0
    },
    {
      "start": 3.748,
      "x": 568,
      "y": 0
    }
  ]
}